/************************************************
* PT.C - printer test: show the current printer	*
* status.										*
*												*
* 900507 MCMason - originally written			*
************************************************/

#include <bios.h>
#include <stdio.h>
#include <stdlib.h>

#define ISIN(a,b,c) (((a)<=(c))||((b)>=(c)))
#define TRUE (1==1)

void main(int argc, char *argv[])
	{
	int lpt;

	/* Select the printer to check status of */
	if (argc == 1)
		lpt = 0;
	else
		{
		lpt = atoi(argv[1])-1;
		if (argc > 2)
			puts("WARNING: only the first parame"
				 "ter is significant.\n");
		}
	if (!ISIN(0,2,lpt))
		{
		puts("ERROR: The printer number must be "
			 "from 1 to 3!\n");
		exit(1);
		}

	printf("Status of printer LPT%c:   ",'1'+lpt);
	while (TRUE)
		printf("\10\10%02x",biosprint(2,0,lpt));
	}
