/************************************************
* BITLIST.H: structure definitions & prototypes	*
* for the bit list handler functions.			*
*												*
* 900406 MCMason - written for Turbo C v2.0		*
************************************************/

typedef int BOOL;
typedef char (*BitList)[];

typedef enum _blc	/* For blListOp function	*/
	{
	blCLEAR,		/* Clear all bits			*/
	blSET,			/* Set all bits				*/
	blINVERT,		/* Invert all bits			*/
	blUNION,		/* Merge two lists			*/
	blINTERSECT,	/* Keep intersecting bits	*/
	blCOPY			/* Copy bitlist				*/
	} blOpcode;

BOOL	blListOp(blOpcode, BitList, ...);
BitList	blCreate(int);
void	blDestroy(BitList);
BOOL	blGetBit(BitList,int);
BOOL	blSetBit(BitList,int,int);
